Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class AbstractFOPTranscoder.FOPErrorHandler

    java.lang.Object
      org.apache.fop.svg.AbstractFOPTranscoder.FOPErrorHandler

All Implemented Interfaces:
  org.apache.batik.transcoder.ErrorHandler

Enclosing class:
  AbstractFOPTranscoder

    protected class AbstractFOPTranscoder.FOPErrorHandler

extends java.lang.Object
implements org.apache.batik.transcoder.ErrorHandler

This is the default transcoder error handler for FOP. It logs error to an Commons Logger instead of to System.out. The remaining behaviour is the same as Batik's DefaultErrorHandler.

Constructor Summary
`protected` | `AbstractFOPTranscoder.FOPErrorHandler()`

Method Summary
`void` | `error(org.apache.batik.transcoder.TranscoderException te)`
`void` | `fatalError(org.apache.batik.transcoder.TranscoderException te)`
`void` | `warning(org.apache.batik.transcoder.TranscoderException te)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFOPTranscoder.FOPErrorHandler

    protected AbstractFOPTranscoder.FOPErrorHandler()

Method Detail

### error

    public void error(org.apache.batik.transcoder.TranscoderException te)
               throws org.apache.batik.transcoder.TranscoderException

  Specified by:
    `error` in interface `org.apache.batik.transcoder.ErrorHandler`
  Throws:
    `org.apache.batik.transcoder.TranscoderException`

### fatalError

    public void fatalError(org.apache.batik.transcoder.TranscoderException te)
                    throws org.apache.batik.transcoder.TranscoderException

  Specified by:
    `fatalError` in interface `org.apache.batik.transcoder.ErrorHandler`
  Throws:
    `org.apache.batik.transcoder.TranscoderException`

### warning

    public void warning(org.apache.batik.transcoder.TranscoderException te)
                 throws org.apache.batik.transcoder.TranscoderException

  Specified by:
    `warning` in interface `org.apache.batik.transcoder.ErrorHandler`
  Throws:
    `org.apache.batik.transcoder.TranscoderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.